Regarding a 1ST installation of OLD VERSIONS, can u tell me if :

New Here ,
Dec 06, 2020

Copy link to clipboard

Copied

Hello there, 

Im about to install Photoshop, Illustrator (...etc) on an old MAC (oui that happen, Im a student^^!), a friend told me I have to install VERSIONS of 2015-16, as I see in "creative cloud" board, this one tell me which version fit and those who will not : So, can I trust this ? Or do u recommend me to check which year are the Version recommend by "CC" before any installation ?

thank you for yr help,

Merci 

Karine

TOPICS
Activation, Creative Cloud, Installation, New user

Views

63

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
LEGEND ,
Dec 06, 2020

Copy link to clipboard

Copied

I have no idea what your Friend is talking about.

 

It sounds like he is suggesting you install Pirated version of some type. This is Illegal.

 

Adobe has Removed all Older versions of All their software except for the Most Current version and one or 2 versions back. So you can't download any version from 2015 or 2016. This is unless it a Hacked Pirated version and you SHOULD NOT DO THAT.

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
New Here ,
Dec 06, 2020

Copy link to clipboard

Copied

Nop, nothing regarding hacked versions. I v never mention that.
IV just subscribed to Adobe, and like to install those on my own Mac, which support til High Sierra, so this ... friend advised me to download til 2015-16 versions, not further more,
My question is,again:
Is the Cr. Cloud board is safe to trust regarding what I CAN install or not ?

^^
Thk u.

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
LEGEND ,
Dec 06, 2020

Copy link to clipboard

Copied

AFAIK those older versions are not available anymore. You should either upgrade your OS X version or cancel your Adobe supscription as the version of OS X that you are using does not meat the system requirements to use the newer, available, versions of the Adobe programs.

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Karine Anna5C3F AUTHOR LATEST
New Here ,
Dec 08, 2020

Copy link to clipboard

Copied

What I'v been told is, I can install the version til 2015 - 2016, and my question was, HOW do I know which year is which version ? Because Yes, we can download older version even if a new subscription FYI.

So not from 2020, mais .. c'est la vie ! 

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Community Beginner ,
Dec 07, 2020

Copy link to clipboard

Copied

Always check with the networking before anything else.

Likes

Translate

Translate

Report

Report
Reply
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more